package com.pcloud.book.group.dto;

import java.util.List;

/**
 * @Description
 * @Author ruansiyuan
 * @Date 2019/11/15 14:27
 **/
public class SelfBookGroupStParamDTO {


    private String name;

    private List<Long> agentIds;

    private Boolean isSpecial;

    private Long proLabelId;

    private Long depLabelId;

    private List<Long> bookIds;

    private Integer currentPage;

    private Integer numPerPage;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<Long> getAgentIds() {
        return agentIds;
    }

    public void setAgentIds(List<Long> agentIds) {
        this.agentIds = agentIds;
    }

    public Boolean getIsSpecial() {
        return isSpecial;
    }

    public void setIsSpecial(Boolean isSpecial) {
        this.isSpecial = isSpecial;
    }

    public Long getProLabelId() {
        return proLabelId;
    }

    public void setProLabelId(Long proLabelId) {
        this.proLabelId = proLabelId;
    }

    public Long getDepLabelId() {
        return depLabelId;
    }

    public void setDepLabelId(Long depLabelId) {
        this.depLabelId = depLabelId;
    }

    public List<Long> getBookIds() {
        return bookIds;
    }

    public void setBookIds(List<Long> bookIds) {
        this.bookIds = bookIds;
    }

    public Integer getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(Integer currentPage) {
        this.currentPage = currentPage;
    }

    public Integer getNumPerPage() {
        return numPerPage;
    }

    public void setNumPerPage(Integer numPerPage) {
        this.numPerPage = numPerPage;
    }

    @Override
    public String toString() {
        return "SelfBookGroupStParamDTO{" +
                "name='" + name + '\'' +
                ", agentIds=" + agentIds +
                ", isSpecial=" + isSpecial +
                ", proLabelId=" + proLabelId +
                ", depLabelId=" + depLabelId +
                ", bookIds=" + bookIds +
                ", currentPage=" + currentPage +
                ", numPerPage=" + numPerPage +
                '}';
    }
}
